# $Revision: 1.18 $, $Date: 2009/03/15 22:56:20 $
Summary:	PhysicsFS file abstraction layer for games
Summary(pl.UTF-8):	PhysicsFS - warstwa abstrakcji plików dla gier
Name:		physfs
Version:	1.1.1
Release:	1
License:	BSD-like (see LICENSE)
Group:		Libraries
Source0:	http://www.icculus.org/physfs/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	0359b67793c1c14f00de1d1bbeb8ed6a
URL:		http://www.icculus.org/physfs/
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PhysicsFS is a library to provide abstract access to various archives.
It is intended for use in video games, and the design was somewhat
inspired by Quake 3's file subsystem. The programmer defines a "write
directory" on the physical filesystem. No file writing done through
the PhysicsFS API can leave that write directory, for security. For
example, an embedded scripting language cannot write outside of this
path if it uses PhysFS for all of its I/O, which means that untrusted
scripts can run more safely. Symbolic links can be disabled as well,
for added safety. For file reading, the programmer lists directories
and archives that form a "search path". Once the search path is
defined, it becomes a single, transparent hierarchical filesystem.
This makes for easy access to ZIP files in the same way as you access
a file directly on the disk, and it makes it easy to ship a new
archive that will override a previous archive on a per-file basis.
Finally, PhysicsFS gives you platform-abstracted means to determine if
CD-ROMs are available, the user's home directory, where in the real
filesystem your program is running, etc.

%description -l pl.UTF-8
PhysicsFS to biblioteka udostępniająca abstrakcyjny dostęp do różnych
archiwów. Została stworzona z myślą o grach video, a projekt był
trochę wzorowany na podsystemie plików z Quake 3. Programista
definiuje "katalog zapisu" w fizycznym systemie plików. Żaden zapis do
pliku poprzez API PhysicsFS nie może wyjść poza ten katalog - ze
względu na bezpieczeństwo. Na przykład, wbudowany język skryptowy nie
może zapisywać poza tą ścieżką, jeżeli używa PhysicsFS do wszystkich
operacji wejścia/wyjścia, dzięki czemu można bezpiecznie uruchamiać
nie zaufane skrypty. Dowiązania symboliczne także mogą być wyłączone
dla poprawy bezpieczeństwa. Do odczytu pliku programista podaje
katalogi i archiwa, które składają się na "ścieżkę poszukiwań". Po
zdefiniowaniu tej ścieżki, staje się ona pojedynczym, przezroczystym
hierarchicznym systemem plików. Pozwala to na łatwy dostęp do plików
ZIP w taki sam sposób, jak do plików na dysku, a także ułatwia
dostarczenie nowego archiwum, które przykryje poprzednie na poziomie
plików. Ponadto PhysicsFS daje wyabstrahowane od platformy sposoby na
określenie, czy dostępne są CD-ROMy, katalog domowy użytkownika, gdzie
w prawdziwym systemie plików działa program itp.

%package devel
Summary:	Header files for PhysicsFS development
Summary(pl.UTF-8):	Pliki nagłówkowe do programowania z użyciem PhysicsFS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	zlib-devel

%description devel
PhysicsFS is a library to provide abstract access to various archives.
This package contains the development headers and documentaion to
build programs using PhysicsFS.

%description devel -l pl.UTF-8
PhysicsFS to biblioteka udostępniająca abstrakcyjny dostęp do różnych
archiwów. Ten pakiet zawiera pliki nagłówkowe i dokumentację do
budowania programów z użyciem PhysicsFS.

%package static
Summary:	Static PhysicsFS libraries
Summary(pl.UTF-8):	Statyczne biblioteki PhysicsFS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
PhysicsFS is a library to provide abstract access to various archives.
This package contains the static PhysicsFS libraries.

%description static -l pl.UTF-8
PhysicsFS to biblioteka udostępniająca abstrakcyjny dostęp do różnych
archiwów. Ten pakiet zawiera statyczne biblioteki PhysicsFS.

%package programs
Summary:	Program for testing PhysicsFS archives
Summary(pl.UTF-8):	Program do testowania archiwów PhysicsFS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description programs
PhysicsFS is a library to provide abstract access to various archives.
This package contains the programs using for PhysicsFS archives
testing.

%description programs -l pl.UTF-8
PhysicsFS to biblioteka udostępniająca abstrakcyjny dostęp do różnych
archiwów. Ten pakiet zawiera program używany do testowania archiwów
PhysicsFS.

%prep
%setup -q

%build
%{__cmake} .

# fix paths
%{__sed} -i -e 's,/usr/local,/usr,g' cmake_install.cmake
# workaround for x86_64
%ifarch %{x8664}
%{__sed} -i -e 's,{CMAKE_INSTALL_PREFIX}/lib,{CMAKE_INSTALL_PREFIX}/lib64,g' cmake_install.cmake
%endif
%{__make}

doxygen

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man3

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install docs/man/man3/{PHYS*,phys*} $RPM_BUILD_ROOT%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG.txt CREDITS.txt LICENSE.txt TODO.txt
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%ghost %{_libdir}/lib*.so.1

%files devel
%defattr(644,root,root,755)
%doc docs/html
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/physfs.h
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files programs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/test_physfs

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: physfs.spec,v $
Revision 1.18  2009/03/15 22:56:20  duddits
- small hack for x86_64

Revision 1.17  2009/03/15 22:37:31  duddits
- up to 1.1.1
- drop autohell, it now uses cmake
- %files

Revision 1.16  2009/02/23 22:13:35  arekm
- release 3

Revision 1.15  2007/09/05 17:21:45  baggins
- rel 2
- added ghost so-link

Revision 1.14  2007/09/05 14:44:53  baggins
- 1.0.1

Revision 1.13  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.11  2005/10/21 13:59:43  darekr
- strict deps

Revision 1.10  2005/09/17 11:55:06  arekm
- new readline, 5.0

Revision 1.9  2004/02/05 19:58:22  qboosh
- removed obsolete link patch, release 1

Revision 1.8  2004/02/05 16:06:28  pzurowski
- Updated to 1.0.0
- Release 0.1: need to update patch (autoXXX things)

Revision 1.7  2003/10/18 08:55:34  qboosh
- up to 0.1.9, updated License
- added link patch (library doesn't need -lreadline, only test program does)

Revision 1.6  2003/09/09 10:24:56  ankry
- spaces -> tab

Revision 1.5  2003/08/18 08:09:29  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.4  2003/05/27 11:19:39  trojan
- added Source-md5

Revision 1.3  2003/05/25 06:25:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/13 22:10:20  qboosh
- pl, fixed binary perms

Revision 1.1  2003/04/09 09:20:23  trojan
- initial
